Skip to main content
GET
/
templates
List all templates
curl --request GET \
  --url https://api-joy.joyfill.io/v1/templates
import requests

url = "https://api-joy.joyfill.io/v1/templates"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api-joy.joyfill.io/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"{\n  \"data\": []\n}"
"{\n  \"message\": \"Not Found\"\n}"

Headers

Authorization
string

Supports both API Key and User Access Token authorization. See https://joyfill.mintlify.app/api/authentication

Query Parameters

limit
integer<int32>
default:25

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 25.

page
integer<int32>
default:1

An integer for use with pagination. For instance, if limit is set to 25 and you set page to 2 then results 26-50 will be returned.

group
string

Filter documents by a specific group identifier. Only documents that belong to the specified group will be returned.

stage
enum<string>
default:published
Available options:
all,
published,
draft
properties
string[]

Limit the data returned as a part of the response by specifying the desired properties (["name", "stage", "files")]

Response

200

data
array